import { useAtomValue } from 'jotai';
import { FC } from 'react';
import { CurrentPatternAtom, Pattern } from '../../context/Patterns';
import styles from './PatternDetail.module.css';

const EmptyPromption: FC = () => {
  return (
    <div className={styles.empty_promption}>
      <div className={styles.promption}>
        <span className="empty_prompt">Select a pattern from left first.</span>
      </div>
      <div className={styles.spacer} />
    </div>
  );
};

const Detail: FC<{ pattern: Pattern }> = ({ pattern }) => {
  return (
    <div className={styles.pattern_detail}>
      <div></div>
      <div></div>
      <div></div>
    </div>
  );
};

const PatternDetail: FC = () => {
  const currentPattern = useAtomValue(CurrentPatternAtom);

  return !currentPattern ? <EmptyPromption /> : <Detail pattern={currentPattern} />;
};

export default PatternDetail;
